Post V 2 Work Set Workflows

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Request

This endpoint expects an object.
work_set_idstringRequired
workflow_collection_idstringRequired
user_idslist of stringsOptional
started_by_idstringOptional

Response

created WorkSetWorkflow
idstring
ULID
titlestring
workflow_collection_idstring
ULID
work_set_idstring
ULID
sort_orderinteger
flaggedboolean
published_workflow_idstring
ULID
userslist of objects
started_atlong

Unix timestamp (seconds since epoch)

completedboolean
approvedboolean
asset_idstring
ULID
tracked_timeinteger
defects_countinteger
active_defects_countinteger
started_byobject
editableboolean
reviewerslist of objects
journeyobject
published_workflowobject
created_atlong

Unix timestamp (seconds since epoch)

updated_atlong

Unix timestamp (seconds since epoch)